USE [期日前当日投票_STD]

GO

CREATE VIEW [投票情報最大処理ID]
 AS
 SELECT [個人番号],[名簿区分],[執行日],[選挙ID],Max([処理ID])AS[処理IDM] FROM 投票情報
 GROUP BY [個人番号],[名簿区分],[執行日],[選挙ID]

GO

CREATE VIEW [dbo].[投票区_共通投票所マスタ]
 AS
 SELECT [投票区コード], [投票区名] FROM 投票区情報 UNION ALL SELECT [共通投票所コード], [共通投票所名] FROM 共通投票所情報

GO

CREATE VIEW [投票区マスタ]
AS
SELECT [投票区コード]AS[c_key]
,[投票区名]AS[c_data]
,[開票区コード]AS[c_swk]
,[開設時間帯]AS[c_ad]
,([住所]+','+[電話番号]+','+[FAX番号])AS[c_seki],[投票所名]AS[c_ad2] FROM 投票区情報
